List Search
/unified/search/search
Query Parameters
Refer Specifying query parameters in Truto APIs
The search term.
41 supported41 required
The Airtable Base in which you want to search for the records.
1 supported1 required
The unique identifier of the Airtable base.
The Airtable Table in which you want to search for the records.
1 supported1 required
The unique identifier of the Airtable table.
The unique identifier for the workspace.
3 supported3 required
The type of the entity to search.
accountapplicationarticlebranchcallcampaigncandidatecodecollectioncommitcontactconversationdepartmentdocumentemaileventfieldforkgoalinterviewissuejobleadmeetingnoteopportunityportfolioproject_templatepull_requestrepositorysubmissiontagtaskteamticketuser+ 24 more
41 supported9 required
fieldgoalcollectionproject_templateportfoliotagticketteamuserticketpull_requesttagbranchforkcodeaccountcontactcodecommitissuepull_requestrepositorycontactaccountopportunitynotetaskcallemailmeetingcontactconversationarticleticketticketcollectiondocumentleadaccountcontactopportunitycampaigntaskeventcallnotecandidateapplicationjobinterviewdepartmenttasksubmissioneventThe unique identifier of the collection to search within. This is required only when type is either of ticket, branch, tag, fork or pull_request.
1 supported
The name of the organisation to search within
1 supported
The name of the repo to search within
1 supported
Select the product for which you want to retrieve.
azure_active_directorycalendercontactsdrivegmailonedrivesharepointteams
2 supported2 required
drivecalendercontactsgmailteamssharepointonedriveazure_active_directory2 supported2 notes
The calendar id. Defaults to primary. Applicable only when product is calender.
The calendar id. Defaults to primary.
falsetrue
3 supported2 notes
Set this value only when product is contacts.
Set true if you want to search saved contacts.
1 supported1 required
The unique identifier for a collection
The id of the account to search within
1 supported1 required
1 supported
The unique identifier for a organization.
Show Truto-specific parameters
The ID of the integrated account to use for the request.
62f44730-dd91-461e-bd6a-aedd9e0ad79dThe format of the response.
unifiedreturns the response with unified mappings applied.rawreturns the unprocessed, raw response from the remote API.normalizedapplies the unified mappings and returns the data in a normalized format.streamreturns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.
Defaults to unified.
unifiedunifiedrawnormalizedstream
By default the result attribute is an array of objects. This parameter allows you to specify a field in each result objects to use as key, which transforms the result array into an object with the array items keyed by the field. This is useful for when you want to use the result as a lookup table.
idIgnores the limit query parameter.
Excludes the remote_data attribute from the response.
Array of fields to exclude from the response.
truto_exclude_fields[]=id&truto_exclude_fields[]=nameQuery parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.
remote_query[foo]=barResponse Body
The cursor to use for the next page of results. Pass this value as next_cursor in the query parameter in the next request to get the next page of results.
List of Search
The unique identifier of the entity.
41 supported
The children of the entity. Follows the same schema as the parent.
7 supported
The date when the entity was created.
31 supported
The description of the entity.
30 supported
The meta data of the entity.
27 supported
3 supported
5 properties
The Truto method to call
listget
Present when type is truto_api or truto_download. Specifies the resource of the url.
The type of the url.
truto_apitruto_download
Present when type is truto_api or truto_download. Specifies the unified model of the url.
The url of the entity.
Raw data returned from the remote API call.
The title of the entity.
41 supported
The type of the entity.
41 supported
The date when the entity was updated.
34 supported
The urls of the entity.
41 supported
6 properties
The name of file. This is available only when the type is truto_download.
The mime type of file. This is available only when the type is truto_download.
Present when type is truto_api or truto_download. Specifies the resource of the url.
The type of the url.
truto_apitruto_download
Present when type is truto_api or truto_download. Specifies the unified model of the url.
The url of the entity.
curl -X GET 'https://api.truto.one/unified/search/search?integrated_account_id=<integrated_account_id>' \
-H 'Authorization: Bearer <your_api_token>' \
-H 'Content-Type: application/json'const integratedAccountId = '<integrated_account_id>';
const response = await fetch(`https://api.truto.one/unified/search/search?integrated_account_id=${integratedAccountId}`, {
method: 'GET',
headers: {
'Authorization': 'Bearer <your_api_token>',
'Content-Type': 'application/json',
},
});
const data = await response.json();
console.log(data);import requests
url = "https://api.truto.one/unified/search/search"
headers = {
"Authorization": "Bearer <your_api_token>",
"Content-Type": "application/json",
}
params = {
"integrated_account_id": "<integrated_account_id>"
}
response = requests.get(url, headers=headers, params=params)
print(response.json())import Truto from '@truto/truto-ts-sdk';
const truto = new Truto({
token: '<your_api_token>',
});
const result = await truto.unifiedApi.list(
'search',
'search',
{ integrated_account_id: '<integrated_account_id>' }
);
console.log(result);import asyncio
from truto_python_sdk import TrutoApi
truto_api = TrutoApi(token="<your_api_token>")
async def main():
async for item in truto_api.unified_api.list(
"search",
"search",
{"integrated_account_id": "<integrated_account_id>"}
):
print(item)
asyncio.run(main())